astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Virtual Observatory Access (`astropy.vo`) »
- VO Simple Cone Search »
- list_catalogs

# list_catalogs

`astropy.vo.client.conesearch.``list_catalogs`(**kwargs)

  Return the available Cone Search catalogs as a list of strings. These can be used for the `catalog_db` argument to `conesearch()`.

  Parameters:

  cache : bool

  > Use caching for VO Service database. Access to actual VO websites referenced by the database still needs internet connection.

  verbose : bool

  > Show download progress bars.

  pattern : str or `None`

  > If given string is anywhere in a catalog name, it is considered a matching catalog. It accepts patterns as in `fnmatch` and is case-insensitive. By default, all catalogs are returned.

  sort : bool

  > Sort output in alphabetical order. If not sorted, the order depends on dictionary hashing. Default is `True`.

  Returns:

  arr : list of str

  > List of catalog names.